[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] Fix check for a working iptables installation. Checking for the iptables



# HG changeset patch
# User emellor@xxxxxxxxxxxxxxxxxxxxxx
# Node ID 6d981d34cf52dc98a7bffcca9e90f7cde0ba88e2
# Parent  2de6e301a640c48e9a7ba73238e1e8aaa4e6d984
Fix check for a working iptables installation.  Checking for the iptables
binary is not sufficient, because the user may not have the appropriate
modules installed.
 
Signed-off-by: Ewan Mellor <ewan@xxxxxxxxxxxxx>

diff -r 2de6e301a640 -r 6d981d34cf52 tools/examples/vif-common.sh
--- a/tools/examples/vif-common.sh      Mon Nov 14 11:12:29 2005
+++ b/tools/examples/vif-common.sh      Mon Nov 14 11:28:47 2005
@@ -76,7 +76,11 @@
 #
 function handle_iptable()
 {
-  if ! which iptables >&/dev/null
+  # Check for a working iptables installation.  Checking for the iptables
+  # binary is not sufficient, because the user may not have the appropriate
+  # modules installed.  If iptables is not working, then there's no need to do
+  # anything with it, so we can just return.
+  if ! iptables -L >&/dev/null
   then
     return
   fi

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.